<!-- pxxprot.xsl -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template match="/">
   <html>
   <head>
   <title>Fahrtbericht</title>
   <meta name="author" content="Sky-Map"/>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8559-1"/>
   <style type="text/css">
   p,body,table {font-family:Verdana,Arial; font-size:10pt}
   table {border-style:solid; border-width:0px;margin:0px}
   td,th {border:0px solid;}
   </style>
   </head>
   <body>
      <xsl:apply-templates select="/FLIGHT"/>
   </body>
   </html>
</xsl:template>

<xsl:template match="FLIGHT">
   <p style="font-size:16pt; font-weight:bold"><img src="logo.gif" align="bottom">Hier Organisation einsetzen</img>
   </p>
   <p style="font-size:12pt; font-weight:bold">Fahrtbericht Nr.:<xsl:entity-ref name="nbsp"/>
   <xsl:value-of select="FLIGHTNUMBER"/></p>
   <p>Datum:<xsl:entity-ref name="nbsp"/>
   <xsl:value-of select="DATE"/>
   </p>
   <p>
   Ballonkennung:<xsl:entity-ref name="nbsp"/>
   <xsl:value-of select="BALLOON/ID"/>
   <br>Ballonf<xsl:entity-ref name="uuml"/>hrer:<xsl:entity-ref name="nbsp"/>
   <xsl:value-of select="PILOT/NAME"/>
   <xsl:entity-ref name="nbsp"/> <xsl:value-of select="PILOT/STREET"/>
   <xsl:entity-ref name="nbsp"/> <xsl:value-of select="PILOT/CITY"/>
   </br>
   </p>
   <p>Passagierliste: <xsl:entity-ref name="nbsp"/><xsl:value-of select="NUMBEROFPAX"/><xsl:entity-ref name="nbsp"/>Passagiere
   <table>
   <tr><th style="text-align:left;position:relative;width:6cm;">Name:</th><th style="text-align:left;position:relative;width:3cm;">Gewicht:</th></tr>
   <xsl:for-each select="PAX">
      <tr><td><xsl:value-of select="NAME"/></td>
      <td><xsl:value-of select="WEIGHT"/></td></tr>
   </xsl:for-each>
   </table>
   </p>
   
   <div style="position:relative;top:0cm;">
   <table>
   <tr><th style="text-align:left;position:static;width:4.5cm;">Parameter:</th><th style="position:static;width:4.5cm;"> </th></tr>
   <tr><td>Ballonvolumen: </td><td><xsl:value-of select="BALLOON/CAPACITY"/></td></tr>
   <tr><td>Widerstandszahl: </td><td><xsl:value-of select="BALLOON/DRAG"/></td></tr>
   <tr><td>QNH: </td><td><xsl:value-of select="QNH"/></td></tr>
   <tr><td>H<xsl:entity-ref name="uuml"/>llen.-Temp.: </td><td><xsl:value-of select="HULLTEMP"/></td></tr>
   </table>
   </div>

   <div style="position:relative;top:0.5cm;">
   <table>
   <tr><th style="text-align:left;position:static;width:2.5cm;"><xsl:entity-ref name="nbsp"/></th><th style="text-align:left;position:static;width:3cm;">Startplatz:</th><th style="text-align:left;position:static;width:3cm;">Fahrt:</th></tr>
   <tr><td>H<xsl:entity-ref name="ouml"/>he [m]:</td><td><xsl:value-of select="STARTALTITUDE"/></td>
   <td><xsl:value-of select="CRUISEALTITUDE"/></td></tr>
   <tr><td>Temp [C]:</td><td><xsl:value-of select="TEMPSTART"/></td>
   <td><xsl:value-of select="TEMPCRUISE"/></td></tr>
   <tr><td>QFE [hpa]:</td><td><xsl:value-of select="QFESTART"/></td>
   <td><xsl:value-of select="QFECRUISE"/></td></tr>
   </table>
   </div>

   <div style="position:relative;top:1cm;">
   <table>
   <tr><th style="text-align:left;position:static;width:4.5cm;">Gewichte:</th><th style="position:static;width:4.5cm;"> </th></tr>
   <tr><td>Ballonf<xsl:entity-ref name="uuml"/>hrer</td><td><xsl:value-of select="PILOT/WEIGHT"/> kg</td></tr>
   <tr><td>Pasagiere</td><td><xsl:value-of select="WEIGHTPAX"/> kg</td></tr>
   <tr><td>Ballonh<xsl:entity-ref name="uuml"/>lle</td><td><xsl:value-of select="BALLOON/WEIGHTHULL"/> kg</td></tr>
   <tr><td>Korb</td><td><xsl:value-of select="BALLOON/WEIGHTBASKET"/> kg</td></tr>
   <tr><td>Ger<xsl:entity-ref name="auml"/>te usw.</td><td><xsl:value-of select="BALLOON/WEIGHTGEAR"/> kg</td></tr>
   <tr><td>Zylinder</td><td><xsl:value-of select="BALLOON/NUMBEROFCYLINDERS"/> x <xsl:value-of select="BALLOON/WEIGHTCYLINDER"/> kg</td></tr>
   <tr><th align="left">Gesamtgewicht</th><th align="left"><xsl:value-of select="WEIGHTTOTAL"/> kg</th></tr>
   </table>
   </div>
   <div style="position:relative;top:1.5cm;">
   <table>
   <tr><th style="text-align:left;position:static;width:5cm;">Tragkraftberechnung:</th><th style="position:static;width:4.5cm;"> </th></tr>
   <tr><td>Steigkraft Start: </td><td><xsl:value-of select="LIFTSTART"/> kg (@TH=Max)</td></tr>
   <tr><td>Steiggeschwindigkeit Start: </td><td><xsl:value-of select="VSSTART"/> m/s (@TH=Max)</td></tr>
   <tr><td>H<xsl:entity-ref name="uuml"/>llentemp. Start: </td><td><xsl:value-of select="THSTART"/> C (@VS=0)</td></tr>
   <tr><td>Steigkraft Fahrt: </td><td><xsl:value-of select="LIFTCRUISE"/> kg (@TH=Max)</td></tr>
   <tr><td>Steiggeschwindigkeit Fahrt: </td><td><xsl:value-of select="VSCRUISE"/> m/s (@TH=Max)</td></tr>
   <tr><td>H<xsl:entity-ref name="uuml"/>llentemp. Fahrt: </td><td><xsl:value-of select="THCRUISE"/> C (@VS=0)</td></tr>
   </table>
   </div>	

   <div style="position:relative;top:2cm;">
   <table>
   <tr><th style="text-align:left;position:static;width:4.5cm;">Fahrtverlauf:</th><th> </th><th> </th></tr>
   <tr><td>Start: </td><td><xsl:value-of select="STARTTIME"/></td><td><xsl:value-of select="STARTPOS"/></td></tr>
   <tr><td>Landung: </td><td><xsl:value-of select="LANDTIME"/></td><td><xsl:value-of select="LANDPOS"/></td></tr>
   <tr><td>Distanz: </td><td><xsl:value-of select="DISTANCE"/> km</td><td></td></tr>
   <tr><td>Max. H<xsl:entity-ref name="ouml"/>he: </td><td><xsl:value-of select="MAXALT"/> m</td><td></td></tr>
   </table>
   </div>	

</xsl:template>

</xsl:stylesheet>

